Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.util
Class WSRMMessageSender

    java.lang.Object
      org.apache.sandesha2.util.WSRMMessageSender

Direct Known Subclasses:
  AckRequestedProcessor, CloseSequenceProcessor, TerminateSeqMsgProcessor

    public class WSRMMessageSender

extends java.lang.Object

Constructor Summary
`WSRMMessageSender()`

Method Summary
`org.apache.axis2.context.ConfigurationContext` | `getConfigurationContext()`
`java.lang.String` | `getInternalSequenceID()`
`org.apache.axis2.context.MessageContext` | `getMsgContext()`
`java.lang.String` | `getOutSequenceID()`
`RMSBean` | `getRMSBean()`
`java.lang.String` | `getRMVersion()`
`java.lang.String` | `getSequenceKey()`
`StorageManager` | `getStorageManager()`
`java.lang.String` | `getToAddress()`
`boolean` | `isSequenceExists()`
`protected void` | `sendOutgoingMessage(RMMsgContext rmMsgCtx, int msgType, long delay, Transaction transaction)`
`protected void` | `setupOutMessage(RMMsgContext rmMsgCtx)` Extracts information from the rmMsgCtx specific for processing out messages

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSRMMessageSender

    public WSRMMessageSender()

Method Detail

### setupOutMessage

    protected void setupOutMessage(RMMsgContext rmMsgCtx)
                            throws org.apache.axis2.AxisFault

  Extracts information from the rmMsgCtx specific for processing out messages

  Parameters:
    `rmMsgCtx` -
  Throws:
    `org.apache.axis2.AxisFault`

### sendOutgoingMessage

    protected void sendOutgoingMessage(RMMsgContext rmMsgCtx,
                                       int msgType,
                                       long delay,
                                       Transaction transaction)
                                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getStorageManager

    public final StorageManager getStorageManager()

### getInternalSequenceID

    public final java.lang.String getInternalSequenceID()

### getMsgContext

    public final org.apache.axis2.context.MessageContext getMsgContext()

### getOutSequenceID

    public final java.lang.String getOutSequenceID()

### isSequenceExists

    public final boolean isSequenceExists()

### getSequenceKey

    public final java.lang.String getSequenceKey()

### getToAddress

    public final java.lang.String getToAddress()

### getConfigurationContext

    public final org.apache.axis2.context.ConfigurationContext getConfigurationContext()

### getRMVersion

    public final java.lang.String getRMVersion()

### getRMSBean

    public final RMSBean getRMSBean()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.